Subject: Re: bug#40572: installer networking: Connman detects no technologies on Acer Aspire

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Mon, 13 Apr 2020 13:57:21 +0200

On Mon, Apr 13, 2020 at 12:42:20PM +0200, Ludovic Courtès wrote:
> "pelzflorian (Florian Pelz)" <[email-masked]> skribis:
> 
> > On Sun, Apr 12, 2020 at 07:37:39PM +0200, Mathieu Othacehe wrote:
> >> 
> >> > Apr 12 16:35:35 localhost vmunix: [   48.124498] uvesafb: fb0: VESA VGA frame buffer device
> >> > Apr 12 16:35:35 localhost vmunix: [   48.129053] shepherd[1]: Service uvesafb has been started.
> >> > Apr 12 16:35:40 localhost shepherd[1]: Service dbus-system could not be started. 
> >> > Apr 12 16:35:40 localhost shepherd[1]: Service networking depends on dbus-system. 
> >> > Apr 12 16:35:40 localhost shepherd[1]: Service networking could not be started. 
> >> 
> >> I suspect something is going wrong here. The 'networking' service is
> >> indeed not started, probably because 'dbus-system' could not be started.
> >> 
> >
> > That may be the case.  Note dbus-system was started later on, but
> > networking was not.
> 
> Did /var/log/messages have additional hints as to why dbus-system was
> not started?
> 

Nothing.  However, by now I burned a new image to DVD with the
attached patch.  But I realize my mistake now; due to dbus-daemon
eventually starting after networking failed, the logs are lost.

I inserted the DVD in an external drive for my slightly faster Macbook
(but the DVD drive seems much slower) and (realizing unlike USB I
needed to add nomodeset) I got the same error.  So the error occurs
when booting any computer from DVD, it seems.

I attach the unhelpful logs, even though I believe the dbus-daemon log
got overwritten by a subsequent successful start …

I do not know how to keep earlier logs.  Maybe I need to pipe it in a
custom gexp?

Regards,
Florian
>From a5063dd623a0090ec91ff3f7ce2ebc7cdf28e5d6 Mon Sep 17 00:00:00 2001
From: Florian Pelz <[email-masked]>
Date: Mon, 13 Apr 2020 08:01:57 +0200
Subject: [PATCH] [add dbus debug flags]

---
 gnu/packages/glib.scm | 3 +++
 gnu/services/dbus.scm | 5 ++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
index c98d8c18f5..227851f100 100644
--- a/gnu/packages/glib.scm
+++ b/gnu/packages/glib.scm
@@ -105,6 +105,9 @@
         ;; Install the session bus socket under /tmp.
         "--with-session-socket-dir=/tmp"
 
+        ;; Debugging:
+        "--enable-verbose-mode"
+
         ;; Use /etc/dbus-1 for system-wide config.
         ;; Look for configuration file under
         ;; /etc/dbus-1.  This is notably required by
diff --git a/gnu/services/dbus.scm b/gnu/services/dbus.scm
index 7b3c8100e2..1270883c4a 100644
--- a/gnu/services/dbus.scm
+++ b/gnu/services/dbus.scm
@@ -189,7 +189,10 @@ includes the @code{etc/dbus-1/system.d} directories of each package listed in
             (requirement '(user-processes syslogd))
             (start #~(make-forkexec-constructor
                       (list (string-append #$dbus "/bin/dbus-daemon")
-                            "--nofork" "--system" "--syslog-only")
+                            "--nofork" "--system" "--syslog")
+                      #:environment-variables
+                      (cons "DBUS_VERBOSE=1" (default-environment-variables))
+                      #:log-file "/var/log/dbus-daemon"
                       #:pid-file "/var/run/dbus/pid"))
             (stop #~(make-kill-destructor)))))))
 
-- 
2.26.0